Bug 520513 (CVE-2009-3012) - CVE-2009-3012 firefox: xss due to data: URIs in Location header
Summary: CVE-2009-3012 firefox: xss due to data: URIs in Location header
Keywords:
Status: NEW
Alias: CVE-2009-3012
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=moderate,source=cve,reported=2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 21:04 UTC by Vincent Danen
Modified: 2019-06-08 12:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Vincent Danen 2009-08-31 21:04:18 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-3012 to
the following vulnerability:

Name: CVE-2009-3012
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-3012
Assigned: 20090831
Reference: MISC: http://websecurity.com.ua/3323/
Reference: MISC: http://websecurity.com.ua/3386/

Mozilla Firefox 3.0.13 and earlier, 3.5, 3.6 a1 pre, and 3.7 a1 pre
does not properly block data: URIs in Location headers in HTTP
responses, which allows remote attackers to conduct cross-site
scripting (XSS) attacks via vectors related to (1) injecting a
Location header that contains JavaScript sequences in a data:text/html
URI or (2) entering a data:text/html URI with JavaScript sequences
when specifying the content of a Location header.  NOTE: the JavaScript
executes outside of the context of the HTTP site.

Comment 1 Vincent Danen 2010-12-21 19:11:23 UTC
According to this description, we should be shipping fixed versions (3.6.13),
however I don't see any reference of this CVE name on upstream's web site, so
I'm not sure.

I don't know if that means this is resolved upstream, isn't an issue after all,
or if this CVE was assigned to something that already had a CVE name.

Does anyone know?


Note You need to log in before you can comment on or make changes to this bug.